### Method

# Secret Service prompt

#### Declaration [src]

    void
    secret_service_prompt (
      SecretService* self,
      SecretPrompt* prompt,
      const GVariantType* return_type,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Perform prompting for a `SecretPrompt`.

This function is called by other parts of this library to handle prompts for the various actions that can require prompting.

Override the `SecretServiceClass` `Secret.ServiceClass.prompt_async` virtual method to change the behavior of the prompting. The default behavior is to simply run `secret_prompt_perform()` on the prompt.

#### Parameters

`prompt`

  Type: `SecretPrompt`

  The prompt.

  The data is owned by the caller of the method.

`return_type`

  Type: `GVariantType`

  The variant type of the prompt result.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.